Subject: Re: [PATCH v3 1/2] update_symref: add REF_CREATE_ONLY option

From: Junio C Hamano <[email-masked]>
Date: Sun, 22 Sep 2024 09:56:20 -0700

"Bence Ferdinandy" <[email-masked]> writes:

> On Sat Sep 21, 2024 at 15:40, Phillip Wood <[email-masked]> wrote:
>> On 19/09/2024 13:13, Bence Ferdinandy wrote:
>> > Add a new REF_CREATE_ONLY flag for use by the files backend which will
>> > only update the symref if it doesn't already exist. Add the possibility
>> > to pass extra flags to refs_update_symref so that it can utilize this
>> > new flag.
>>
>> I'm not sure we need a new flag to do this as it is already supported by
>> the ref transaction api.
>
> Thanks, I was not aware of ref_transaction_create. It also seems to return with
> TRANSACTION_NAME_CONFLICT so we should be able to see from the error code if
> indeed the existence was the problem or something else went wrong.

Thank you for working on this, and thanks, Phillip, for a useful
suggestion.